init:
    
    $ event("class", "act == 'class'", event.only(), priority=200)
    $ event("cut1", "act == 'cut'", event.choose_one('cut'), priority=200)
    $ event("cut2", "act == 'cut'", event.choose_one('cut'), priority=200)
    $ event("study1", "act == 'study1'", event.solo(), priority=200)
    $ event("practice", "act == 'practice'", event.solo(), priority=200)
    $ event("nap", "act == 'nap'", event.solo(), priority=200)    
    $ event("listen", "act == 'listen'", event.solo(), priority=200)
    $ event("study2", "act == 'study2'", event.solo(), priority=200)
    $ event("tv", "act == 'tv'", event.solo(), priority=200)
    $ event("study3", "act == 'study3'", event.solo(), priority=200)
    $ event("sleep", "act == 'sleep'", event.solo(), priority=200)
    
label class:
    scene mclass
    with blinds
    mi "..."
    $ intel.value += 10
    $ happy.value -= 10
    $ alert.value -= 10
    $ renpy.pause(2.0)
    return
    
label cut1:
    scene roomm
    with blinds
    show ms
    mi "Ah, it feels good to take things slow in the morning."
    $ intel.value -= 10
    $ happy.value += 10
    return

label cut2:
    scene roomm
    with blinds
    show ms
    mi "Great morning to slack off."
    $ happy.value += 10
    $ intel.value -= 10
    return
    
label study1:
    scene mlib
    with blinds
    $ intel.value += 10
    $ happy.value -= 10
    $ alert.value -= 10
    $ renpy.pause(2.0)
    return
    
label practice:
    scene roomm
    with blinds
    show mplay
    $ renpy.pause(2.0)
    $ intel.value += 10
    $ happy.value += 10
    $ alert.value -= 10
    return
    
label nap:
    $ renpy.music.stop(fadeout=0.5)
    scene black
    with pixellate
    $ alert.value += 20
    $ renpy.pause(1.5)
    scene roomm
    with pixellate
    show mhappy
    mi "*Yawn*"
    mi "That felt good."
    $ renpy.music.play('Pitx_-_Pentatonicing.ogg', loop=True, tight=True)
    return
    
label listen:
    scene black
    with blinds
    $ happy.value += 20
    $ alert.value -= 10
    $ renpy.pause(2.0)
    return
    
label study2:
    scene mlib
    with blinds
    $ renpy.pause(2.0)
    $ happy.value -= 10
    $ alert.value -= 10
    $ intel.value += 10
    return
    
label tv:
    scene black
    with blinds
    $ renpy.pause(2.0)
    $ happy.value += 20
    $ alert.value -= 30
    scene roomm
    with blinds
    show m
    mi "*Yawn*....don't tell me I stayed up all night?"
    return
    
label study3:
    scene mlib
    with blinds
    $ renpy.pause(2.0)
    $ happy.value -= 10
    $ alert.value -= 30
    $ intel.value += 20
    scene roomm
    with blinds
    show m
    mi "*Yawn*..."
    mi "I hate pulling all-nighters."
    return
    
label sleep:
    scene roomm
    with blinds
    show m
    mi "Time to get some sleep..."
    $ renpy.music.stop(fadeout=0.5)
    scene black
    with pixellate
    $ renpy.pause(2.0)
    scene roomm
    with pixellate
    $ renpy.pause(1.0)
    $ renpy.music.play('Pitx_-_Pentatonicing.ogg', loop=True, tight=True)
    return
    
init:
    $ event("tired", "alert <= 10", event.solo(), priority=180)
    $ event("fatigue", "alert == 0", event.once(), priority=10)
    $ event("depression", "happy == 0", event.once(), priority=20)
    
label tired:
    scene black
    mi "I'm far too tired to do anything..."
    mi "I have to get some sleep soon..."
    $ happy.value -= 10
    return
    
label fatigue:
    $ renpy.music.stop(fadeout=0.5)
    scene black
    with pixellate
    n "Are you all right?"
    mi "..."
    n "You collapsed."
    n "You need to rest for several days."
    mi "But I have to take my exams soon..."
    n "That's too bad..."
    n "You'll have to arrange for something."
    mi "...I see."
    scene black
    with blinds
    $ renpy.pause(0.5)
    jump over
    
label over:
    ## bad ending
    "Ending #1"
    show text "{size=60}The End{/size}"
    $ renpy.pause(2.0)

    jump extra

label depression:
    scene roomm
    with blinds
    $ renpy.music.stop
    mi "I can't take this anymore."
    jump fatigue
    
init:
    $ event("recitalpre", "act == 'class' and day == 3", event.solo(), priority=170)
    $ event("recitalpre2", "act == 'cut' and day == 3", event.solo(), priority=170)
    $ event("recitalr", "act == 'class' and day == 5", event.once(), priority=160)
    $ event("recitalr2", "act == 'cut' and day == 5", event.once(), priority=160)
    $ event("recital", "day == 6 and period == 'afternoon'", event.once(), priority=40)
    $ event("exampre", "day == 7 and period == 'morning'", event.depends('recital'), priority=160)
    $ event("exam", "day == 8 and period == 'afternoon'", event.depends('exampre'), priority=40)
    
label recitalpre:
    scene mclass
    with blinds
    mi "My final recital is in 3 days, I should make sure I'm ready by then."
    mi "Exams are in 5 days, so I have to study too."
    $ intel.value += 10
    $ happy.value -= 10
    $ alert.value -= 10
    return
    
label recitalpre2:
    scene roomm
    with blinds
    show ms
    mi "My final recital is in 3 days, I should make sure I'm ready by then."
    mi "Exams are in 5 days, so I have to study too."
    $ intel.value -= 10
    $ happy.value += 10
    return
    
label recitalr:
    scene mclass
    with blinds
    mi "My recital is tomorrow."
    mi "Exams are in 2 days."
    mi "I've got to stay focused."
    $ intel.value += 10
    $ happy.value -= 10
    $ alert.value -= 10
    return
    
label recitalr2:
    scene roomm
    with blinds
    show ms
    mi "My recital is tomorrow."
    mi "Exams are in 2 days."
    mi "I've got to stay focused."
    $ intel.value -= 10
    $ happy.value += 10
    return

label recital:
    scene stage
    with blinds
    $ renpy.music.stop(fadeout=0.5)
    show ms
    mi "Time for my recital...hope I do well..."

    scene black
    show mplay
    with fade
    $ renpy.sound.play("Applause.mp3")
    $ renpy.pause(1.0)
    scene black
    with fade

    if intel <= 40:
        ##play bad song
        scene stage
        with blinds
        show ms
        $ renpy.sound.stop(fadeout=0.2)
        v "Number 52..."
        mi "<That's me...>"
        v "Fail."
        v "Number 53..."
        mi "....No...."
        if happy >= 70:

            mi "But it doesn't really matter."
            mi "I'm happy, so who cares?"
            mi "Guess I'll have to repeat a year no matter what at this point."
            mi "Maybe I'll drop out and start a band."
            ##mediocre ending follows:
            scene black
            show mplay
            with fade
            $ renpy.music.play('The_Sun_Season.mp3', loop=True, tight=True)
            mi "<I started a band with some friends from around town.>"
            mi "<We got by.  Things weren't too bad.>"
            "Ending #2"
            show text "{size=60}The End{/size}"
            $ renpy.pause(2.0)
            jump extra
            
        else:
            mi "What's the point?"

            mi "Even if I pass the written test, I still have to repeat a year."
            mi "...."
            jump over
            
    else:
        if alert <= 49:
            ##bad song
            scene stage
            with blinds
            show m
            $ renpy.sound.stop(fadeout=0.2)
            v "Number 52..."
            mi "<That's me...>"
            v "Fail."
            v "Number 53..."
            mi "....No...."
            if happy >= 70:
                mi "But it doesn't really matter."
                mi "I'm happy, so who cares?"
                mi "Guess I'll have to repeat a year no matter what at this point."
                mi "Maybe I'll drop out and start a band."
                scene black
                show mplay
                with fade
                $ renpy.music.play('The_Sun_Season.mp3', loop=True, tight=True)
                mi "<I started a band with some friends from around town.>"
                mi "<We got by.  Things weren't too bad.>"
                "Ending #2"
                show text "{size=60}The End{/size}"
                $ renpy.pause(2.0)
                jump extra
                
            else:
                mi "What's the point?"

                mi "Even if I pass the written test, I still have to repeat a year."
                mi "...."
                jump over
        else:
            ##good song
            $ renpy.sound.stop(fadeout=0.2)
            scene stage
            with blinds
            v "Number 52..."
            mi "<That's me...>"
            v "Pass."
            if happy >=50:
                mi "Perfect."
                return
            else:
                mi "Does it even matter?"
                mi "I hate school."
                mi "Can't wait until all this is over..."
                return
label exampre:
    scene roomm
    with blinds
    show ms
    mi "My written exams are tomorrow."
    mi "I have to make sure I'm ready."
    $ happy.value -= 10
    return
    
label exam:
    scene mclass
    with blinds
    $ renpy.music.stop(fadeout=0.5)
    show ms
    mi "Here goes..."
    scene black
    with fade
    $ renpy.pause(2.0)
    scene roomm
    with fade
    show m
    $ day == 10
    mi "The exam results should be here today."
    scene black
    with fade
    scene roomm
    with fade
    show m
    mi "The letter came..."
    if intel >= 60:
        if alert >= 50:
            mi "I passed!"
            if happy >= 50:
                hide m
                show mhappy
                mi "Great!"
                ##good ending:
                scene yellow
                with fade
                show mplay
                $ renpy.music.play('Pitx_-_Pentatonicing.ogg', loop=True, tight=True)
                mi "<I returned to school for another year and did well again.>"
                mi "<I graduated with high honors and got into the best music college in the country...>"
                mi "<...all thanks to my high school preparation and hard work.>"
                "Ending #4"
                scene black
                show text "{size=60}The End{/size}"
                $ renpy.pause(2.0)
                jump extra
            else:
                mi "Who cares, though?"
                mi "I still got another year left in this school."
                ##ennui ending:
                scene mlib
                with fade
                mi "<I went back to school the next year.>"
                mi "<Unfortunately, I'd lost interest.>"
                mi "<My friends left me and I spent my free time reading alone in the library.>"
                mi "<I was able to get together a band and we did well...>"
                mi "<Girls seemed to like me, too.>"
                mi "<...but everything seemed pointless and dull.>"
                "Ending #5"
                scene black
                with fade
                show text "{size=60}The End{/size}"
                $ renpy.pause(2.0)
                jump extra
                
        else:
            mi "I failed."
            if happy >= 70:
                hide m
                show mhappy
                mi "But it's fine."
                mi "I'll just drop out and start a band or something."
                
                scene black
                show mplay
                with fade
                $ renpy.music.play('The_Sun_Season.mp3', loop=True, tight=True)
                mi "<I started a band with some friends from around town.>"
                mi "<We got by.  Things weren't too bad.>"
                "Ending #2"
                show text "{size=60}The End{/size}"
                $ renpy.pause(2.0)
                jump extra
                
            else:
                mi "This is horrible."
                jump depressede
                jump extra
    else:
        mi "I failed."
        if happy >= 70:
            hide m
            show mhappy
            mi "But it's fine."
            mi "I'll just drop out and start a band or something."
            scene black
            show mplay
            with fade
            $ renpy.music.play('The_Sun_Season.mp3', loop=True, tight=True)
            mi "<I started a band with some friends from around town.>"
            mi "<We got by.  Things weren't too bad.>"
            "Ending #2"
            show text "{size=60}The End{/size}"
            $ renpy.pause(2.0)

            jump extra
        else:
            mi "This is horrible."
            jump depressede
            
label depressede:
    $ renpy.music.stop(fadeout=0.5)
    scene roomm
    with fade
    mi "<I dropped out of school.>"
    mi "<I spent my days lounging around my house and watching TV.>"
    mi "<I lost contact with my friends and became depressed...>"
    "Ending #3"
    scene black
    show text "{size=60}The End{/size}"
    $ renpy.pause(2.0)
    jump extra
        
        
